Bug 894396 - PRD32 - [RFE] Spice native usb live migration support in win client
PRD32 - [RFE] Spice native usb live migration support in win client
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Uri Lublin
Marian Krcmarik
spice
: FutureFeature
Depends On: 894020 905898
Blocks: 889551
  Show dependency treegraph
 
Reported: 2013-01-11 11:12 EST by Hans de Goede
Modified: 2016-02-10 15:21 EST (History)
9 users (show)

See Also:
Fixed In Version: mingw-virt-viewer-0.5.3-18 mingw-spice-gtk-0.14-1
Doc Type: Enhancement
Doc Text:
Live migration can now be used for virtual machines using SPICE native USB redirection when both the source and target hosts and based on Red Hat Enterprise Linux 6.4.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:42:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2013-01-11 11:12:11 EST
qemu + spice-server in 6.4 now support live migration together with spice's native USB redirection. Spice's native USB redirection is already support in RHEV-M, bit when it is used live migration is disabled for the vm.

For RHEV-M 3.2 this means that:

1) Live migration should be allowed for vm-s using Spice's native usb redirection when both the source and target hosts are rhel 6.4 based *and* seamless migration (*) is enabled.

2) When creating a new vm on a 6.4 based RHEV-H, RHEV-M should default to native usb and must no longer warn that using native usb will break live migration

3) We should seriously consider to simply not allow using the old usb support when creating a new vm on a 6.4 based RHEV-H

Components involved from the spice side:
-qemu-kvm
-usbredir
-spice-server
-spice-gtk



*) Note that live-migration with native usb redirection is possible without seamless migration too, but then any redirected usb devices will be disconnected from the guest upon migration.
Comment 2 Michal Skrivanek 2013-02-07 05:20:26 EST
ad 2) see BZ 889551

ad 3) - is that in works as well? Any tentative target date? We'd be happy to get rid of legacy USB.
Comment 6 Cheryn Tan 2013-04-03 02:52:45 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 9 errata-xmlrpc 2013-06-10 17:42:48 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.